Bug 51195

Summary: Start kde whith su command change the owner of mcop-`whoami` and ksocket-'whoami' in /tmp/ directory
Product: kdesktop Reporter: Antenore Gatta <agatta>
Component: generalAssignee: David Faure <faure>
Status: CLOSED NOT A BUG    
Severity: normal CC: finex
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Mandrake RPMs   
OS: Linux   
Latest Commit: Version Fixed In:

Description Antenore Gatta 2002-11-25 21:53:09 UTC
Version:            (using KDE KDE 3.0.3)
Installed from:    Mandrake RPMs
OS:          Linux

As a normal user (tommy) you run 
# su
then you start kde...
the files:
/tmp/mcop-tommy
and
/tmp/socket-tommy
become owner of root!!!
so when you exit kde and exit root you cannot be able to start kde without some problem.

Thanks in advance and sorry if this bug report already exist.
Bye, Antenore.
Comment 1 Stephan Kulow 2002-11-26 10:17:17 UTC
the fix is short and quickly done: don't do it. 
This is exactly what you fuck up when you do 
su, use 'su -' if you want to start a new session 
with that user. 
Comment 2 Antenore Gatta 2002-11-26 21:07:51 UTC
Subject: Re:  Start kde whith su command change the owner of mcop-`whoami` and ksocket-'whoami' in /tmp/ directory

Sorry for my error...

Next time I'll think it over.


Alle 10:17, marted
Comment 3 FiNeX 2009-01-02 20:20:51 UTC
Bug closed. Kdesktop is no more mantained.